import React, { Component } from 'react'
import { MuiThemeProvider, createMuiTheme } from 'material-ui/styles'
import Reboot from 'material-ui/Reboot'
import { BrowserRouter as Router } from 'react-router-dom'
import Routes from '../components/common/Routes'

class App extends Component {
    render() {
        const theme = createMuiTheme({
            palette: {
                primary: { 
                    main: '#0288d1'
                },
            },
            typography: {
                fontSize: 12
            }
        })

        return (
            <MuiThemeProvider theme={theme}>
                <Reboot />
                <Router>
                    <Routes />
                </Router>
            </MuiThemeProvider>
        )
    }
}

export default App